# Search Form History

This module facilitates search tracking for your search form, utilizing form
attribute values. The tracking data can be displayed using Views.

For a full installation of the module, visit the
[project page](https://www.drupal.org/project/search_tracking).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/search/search_tracking).

## Table of contents

- Features
- Requirements
- Installation
- Configuration
- Troubleshooting
- Maintainers

## Features

- Provides views (Search Tracking) to display the search tracking data.
- Displays searched keyword, IP address of the keyword searched from and
  searched timestrap.
- Provides tracking using form attributes (id, class and input name).
- Easy to use and configure.

## Requirements

- Form attributes: Requires form attributes to track the search information of
  the form.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules]
(https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

- Go to the configuration page of the Search Tracking module
  (/admin/config/search/search-tracking/form-config).
- Enter the form attributes you want to use to track the searched keywords.
- In the configuration page, you can choose whether you want to use the form's
  id or class.
- Then go to the views page (admin/structure/views). Here you can add your view
  using the 'Search Tracking' view.
- You can customize the view as per your requirements like other views you do.

## Troubleshooting

It requires form id or class and the input element 'name' attribute to track
the specified text searched from the input element. If any mistakes happen when
entering the attribute it will throw an error.

## Maintainers

### Developed and Sponsored by,

[Infospica Consultancy Services]
(https://www.drupal.org/infospica-consultancy-services)
Description of the company….


### Current Maintainers

- [Robin Rosh](https://www.drupal.org/u/rash-robie)
- [Ajish S](https://www.drupal.org/u/ajish-s)
- [Amal P (Amal_P)](https://www.drupal.org/u/amal_p)


## Supporting Organizations

[Infospica Consultancy Services](https://www.drupal.org/infospica-consultancy-services) - Concept, Drupal 8,9 and 10 development
