var Drupal = Drupal || { 'settings': {}, 'behaviors': {}, 'locale': {} };
(function ($, Drupal, drupalSettings) {
    const baseUrl = drupalSettings.search_form.base_url;
    const form_attr_id = drupalSettings.search_form.form_attr_id;
    const form_class = drupalSettings.search_form.form_class;
    const input_name = drupalSettings.search_form.input_name;
    const url_param = drupalSettings.search_form.url_param;

    if(form_attr_id != NULL && input_name != NULL){
        const forms = document.querySelectorAll(form_attr_id);
        forms.forEach(form => {
            form.addEventListener('submit', function (event) {
                // Fetch form data based on attribute name.
                var name_input = "[name='" + input_name + "']";
                const formData = {
                    name: form.querySelector(name_input).value,
                };
                const url = baseUrl + '/api/form-data';

                $.ajax({
                    url: url,
                    type: 'POST',
                    contentType: 'application/json',
                    data: JSON.stringify(formData),
                    success: function (response) {
                    },
                    error: function (xhr, status, error) {
                    }
                });
            });
        });
    }
    else if(form_class != NULL && input_name != NULL){
        const forms = document.querySelectorAll(form_class);
        forms.forEach(form => {
            form.addEventListener('submit', function (event) {
                // Fetch form data based on attribute name.
                var name_input = "[name='" + input_name + "']";
                const formData = {
                    name: form.querySelector(name_input).value,
                };
                const url = baseUrl + '/api/form-data';

                $.ajax({
                    url: url,
                    type: 'POST',
                    contentType: 'application/json',
                    data: JSON.stringify(formData),
                    success: function (response) {
                    },
                    error: function (xhr, status, error) {
                    }
                });
            });
        });
    }
    else if(url_param != NULL){
        var searchParams = new URLSearchParams(window.location.search);
        var url_parameter = searchParams.get(url_param);
        const formData = {
            name: url_parameter,
        };
        const url = baseUrl + '/api/form-data';

        $.ajax({
            url: url,
            type: 'POST',
            contentType: 'application/json',
            data: JSON.stringify(formData),
            success: function (response) {
            },
            error: function (xhr, status, error) {
            }
        });
    }
})(jQuery, Drupal, drupalSettings);
